### Virtual Method

# Clutter Container remove

deprecated: 1.10

#### Declaration [src]

    void
    remove (
      ClutterContainer* container,
      ClutterActor* actor
    )

#### Description [src]

Removes `actor` from `container`. The actor should be unparented, so if you want to keep it around you must hold a reference to it yourself, using g_object_ref(). When the actor has been removed, the “actor-removed” signal is emitted by `container`.

This function will call `ClutterContainerIface`.remove(), which is a deprecated virtual function. The default implementation will call clutter_actor_remove_child().

Deprecated since: 1.10

Use `clutter_actor_remove_child()` instead.

#### Parameters

`actor`

  Type: `ClutterActor`

  A `ClutterActor`.

  The data is owned by the caller of the function.